Extending Qt Creator Manual | ProjectPageFactory

Extending Qt Creator Manual 4.7.1

# ProjectPageFactory Class

(ProjectExplorer::Internal::ProjectPageFactory)

- List of all members, including inherited members

## Public Functions

| ProjectPageFactory()
Utils::WizardPage * | create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data) override
bool | validateData(int typeId, const QVariant &data, int *errorMessage) override

## Member Function Documentation

### ProjectPageFactory::ProjectPageFactory()

Default constructs an instance of ProjectPageFactory.

### Utils::WizardPage *ProjectPageFactory::create(ProjectExplorer::JsonWizard *wizard, int typeId, const QVariant &data)

### bool ProjectPageFactory::validateData(int typeId, const QVariant &data, int *errorMessage)